List experiments
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/experiments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/experiments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"key": "<string>",
"variants": [
{
"id": "<string>",
"value": "<string>"
}
],
"createdMs": 123
}
]{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Experiments
List experiments
Lists Observe experiments and their variants.
Required API key permission: observe:experiments:read.
GET
/
observe
/
experiments
List experiments
Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Response
Experiments with their variants.
Was this page helpful?